:root {
  --brand-white: #ffffff;
  --brand-black: #000000;
  --brand-blue: #0e65c0;

  --space: 1rem;
  --space-md: calc(var(--space) * 2);
  --content-max-width: 60ch;

  --grid: [full-start] 1fr [content-start]
    min(var(--content-max-width), 100% - var(--space-md) * 2) [content-end] 1fr
    [full-end];
}

@font-face {
  font-family: 'Lato';
  src: url('assets/Lato-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Lato';
  src: url('assets/Lato-ExtraBold.ttf') format('truetype');
  font-weight: 800;
  font-style: normal;
}

html,
body {
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Lato', sans-serif;
}

.v-enter-active,
.v-leave-active {
  transition: opacity 1s ease;
}

.v-enter-from,
.v-leave-to {
  opacity: 0;
}

.ease-enter-active,
.ease-leave-active {
  transition: all 1s ease;
}

.ease-enter-from,
.ease-leave-to {
  opacity: 0;
  transform: translateX(20px);
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}

.push-enter-active,
.push-leave-active {
  transition: transform 0.5s ease;
}

.push-enter-from {
  transform: translateX(100%);
}

.push-leave-to {
  transform: translateX(-100%);
}

@keyframes ken {
  0% {
    transform-origin: bottom left;
    transform: scale(1);
  }

  100% {
    transform: scale(1.2);
  }
}

.black {
  color: var(--brand-white);
  background-color: var(--brand-black);
}

.white {
  color: var(--brand-black);
  background-color: var(--brand-white);
}

.blue {
  color: var(--brand-white);
  background-color: var(--brand-blue);
}
